/// <reference types="node" />
import { Tank } from "../../types/packets";
/**
 * Represent a TankPacket.
 */
declare class TankPacket {
    data?: Tank | undefined;
    /**
     * Creates a new instance of the TankPacket class.
     * @param data The tankpacket header and data.
     */
    constructor(data?: Tank | undefined);
    /**
     * Creates a new instance of the TankPacket class.
     * @param data TankPacket header and data.
     */
    static from(data: Tank): TankPacket;
    /**
     * Converts a buffer to a tank packet.
     * @param buf The buffer to convert.
     */
    static fromBuffer(buf: Buffer): TankPacket;
    /**
     * Converts the TankPacket class to a Buffer
     */
    parse(): Buffer | undefined;
}
export { TankPacket };
