/// <reference types="node" />
import { TankPacket } from "./TankPacket";
import { VariantArg, VariantArray, VariantOptions } from "../../types/packets";
/**
 * Represents the Variant class.
 */
declare class Variant {
    options: VariantOptions;
    args: VariantArg[];
    index: number;
    /**
     * Creates a new instance of the Variant class.
     * @param options The options for the variant.
     * @param args The arguments of the Variant.
     */
    constructor(options: VariantOptions, args: VariantArg[]);
    /**
     * Creates a new Variant class.
     * @param opts The options for the variant.
     * @param args The arguments of the Variant.
     */
    static from(opts?: VariantOptions | VariantArg, ...args: VariantArg[]): Variant;
    static toArray(data: Buffer): VariantArray[];
    /**
     * Parses the data of the Variant and returns a TankPacket from it.
     */
    parse(): TankPacket;
}
export { Variant };
