"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebServer = void 0;
const express_1 = __importDefault(require("express"));
const fs_1 = require("fs");
const http_1 = __importDefault(require("http"));
const https_1 = __importDefault(require("https"));
const path_1 = __importDefault(require("path"));
const options = {
    key: (0, fs_1.readFileSync)(path_1.default.join(__dirname, "..", "..", "misc", "ssl", "server.key")),
    cert: (0, fs_1.readFileSync)(path_1.default.join(__dirname, "..", "..", "misc", "ssl", "server.crt"))
};
function WebServer(ip, port, type2 = false) {
    const app = (0, express_1.default)();
    let done = false;
    let httpServer = http_1.default.createServer(app);
    let httpsServer = https_1.default.createServer(options, app);
    app.use("/growtopia/server_data.php", (req, res) => {
        res.send(`server|${ip}\nport|${port}\ntype|1\n${type2 ? "type2|1" : ""}\n#maint|Server is Maintenance\nmeta|growtopiajs\nRTENDMARKERBS1001`);
    });
    httpServer.listen(80);
    httpsServer.listen(443);
    httpsServer.on("listening", function () {
        done = true;
    });
    return done ? true : false;
}
exports.WebServer = WebServer;
