/**
 * Types for each Argument.
 */
export declare enum VariantTypes {
    NONE = 0,
    FLOAT_1 = 1,
    STRING = 2,
    FLOAT_2 = 3,
    FLOAT_3 = 4,
    UNSIGNED_INT = 5,
    SIGNED_INT = 9
}
/**
 * Growtopia Packet Types
 */
export declare enum PacketTypes {
    UNK = 0,
    HELLO = 1,
    STR = 2,
    ACTION = 3,
    TANK = 4,
    ERROR = 5,
    TRACK = 6,
    CLIENT_LOG_REQ = 7,
    CLIENT_LOG_RES = 8
}
/**
 * Growtopia Tank Packet Types
 */
export declare enum TankTypes {
    STATE = 0,
    CALL_FUNCTION = 1,
    UPDATE_STATUS = 2,
    TILE_CHANGE_REQUEST = 3,
    SEND_MAP_DATA = 4,
    SEND_TILE_UPDATE_DATA = 5,
    SEND_TILE_UPDATE_DATA_MULTIPLE = 6,
    TILE_ACTIVATE_REQUEST = 7,
    TILE_APPLY_DAMAGE = 8,
    SEND_INVENTORY_STATE = 9,
    ITEM_ACTIVATE_REQUEST = 10,
    ITEM_ACTIVATE_OBJECT_REQUEST = 11,
    SEND_TILE_TREE_STATE = 12,
    MODIFY_ITEM_INVENTORY = 13,
    ITEM_CHANGE_OBJECT = 14,
    SEND_LOCK = 15,
    SEND_ITEM_DATABASE_DATA = 16,
    SEND_PARTICLE_EFFECT = 17,
    SET_ICON_STATE = 18,
    ITEM_EFFECT = 19,
    SET_CHARACTER_STATE = 20,
    PING_REPLY = 21,
    PING_REQUEST = 22,
    GOT_PUNCHED = 23,
    APP_CHECK_RESPONSE = 24,
    APP_INTEGRITY_FAIL = 25,
    DISCONNECT = 26,
    BATTLE_JOIN = 27,
    BATTLE_EVEN = 28,
    USE_DOOR = 29,
    SEND_PARENTAL = 30,
    GONE_FISHIN = 31,
    STEAM = 32,
    PET_BATTLE = 33,
    NPC = 34,
    SPECIAL = 35,
    SEND_PARTICLE_EFFECT_V2 = 36,
    ACTIVE_ARROW_TO_ITEM = 37,
    SELECT_TILE_INDEX = 38,
    SEND_PLAYER_TRIBUTE_DATA = 39
}
export declare enum TileFlags {
    FLAGS_TILEEXTRA = 1,
    FLAGS_LOCKED = 2,
    FLAGS_SEED = 16,
    FLAGS_TREE = 25,
    FLAGS_FLIPPED = 32,
    FLAGS_ROTATED_LEFT = 48,
    FLAGS_OPEN = 64,
    FLAGS_PUBLIC = 128,
    FLAGS_SILENCED = 512,
    FLAGS_WATER = 1024,
    FLAGS_FIRE = 4096,
    FLAGS_RED = 8192,
    FLAGS_BLUE = 16384,
    FLAGS_GREEN = 32768,
    FLAGS_GLUE = 134217728
}
export declare enum TileOptionsFlags {
    MUSIC_BLOCKS_DISABLED = 16,
    MUSIC_BLOCKS_INVIS = 32,
    LOCK_ALLOW_BUILD_ONLY = 64,
    LOCK_ENABLE_RAINBOW = 128
}
export declare enum TilePropertiesFlags {
    MULTI_FACING = 1,
    WRENCHABLE = 2,
    PERMANENT = 4,
    DROPLESS = 8,
    NO_SEED = 16,
    NO_SELF = 32,
    NO_SHADOW = 64,
    WORLD_LOCK = 128
}
export declare enum TileCategoryFlags {
    BETA = 1,
    AUTO_PICKUP = 2,
    MOD = 4,
    RANDOM_GROW = 8,
    PUBLIC = 16,
    FOREGROUND = 32,
    HOLIDAY = 64,
    UNTRADEABLE = 128
}
export declare enum TileActionTypes {
    FIST = 0,
    WRENCH = 1,
    DOOR = 2,
    LOCK = 3,
    GEMS = 4,
    TREASURE = 5,
    DEADLY_BLOCK = 6,
    TRAMPOLINE = 7,
    CONSUMABLE = 8,
    ENTRANCE = 9,
    SIGN = 10,
    SFX_WITH_EXTRA_FRAME = 11,
    BOOMBOX = 12,
    MAIN_DOOR = 13,
    PLATFORM = 14,
    BEDROCK = 15,
    LAVA = 16,
    FOREGROUND = 17,
    BACKGROUND = 18,
    SEED = 19,
    CLOTHES = 20,
    FOREGROUND_WITH_EXTRA_FRAME = 21,
    BACKGD_SFX_EXTRA_FRAME = 22,
    BACK_BOOMBOX = 23,
    BOUNCY = 24,
    POINTY = 25,
    PORTAL = 26,
    CHECKPOINT = 27,
    SHEET_MUSIC = 28,
    ICE = 29,
    SWITCHEROO = 31,
    CHEST = 32,
    MAILBOX = 33,
    BULLETIN = 34,
    PINATA = 35,
    DICE = 36,
    CHEMICAL = 37,
    PROVIDER = 38,
    LAB = 39,
    ACHIEVEMENT = 40,
    WEATHER_MACHINE = 41,
    SCORE_BOARD = 42,
    SUNGATE = 43,
    PROFILE = 44,
    DEADLY_IF_ON = 45,
    HEART_MONITOR = 46,
    DONATION_BOX = 47,
    TOYBOX = 48,
    MANNEQUIN = 49,
    SECURITY_CAMERA = 50,
    MAGIC_EGG = 51,
    GAME_RESOURCES = 52,
    GAME_GENERATOR = 53,
    XENONITE = 54,
    DRESSUP = 55,
    CRYSTAL = 56,
    BURGLAR = 57,
    COMPACTOR = 58,
    SPOTLIGHT = 59,
    WIND = 60,
    DISPLAY_BLOCK = 61,
    VENDING_MACHINE = 62,
    FISHTANK = 63,
    PETFISH = 64,
    SOLAR = 65,
    FORGE = 66,
    GIVING_TREE = 67,
    GIVING_TREE_STUMP = 68,
    STEAMPUNK = 69,
    STEAM_LAVA_IF_ON = 70,
    STEAM_ORGAN = 71,
    TAMAGOTCHI = 72,
    SWING = 73,
    FLAG = 74,
    LOBSTER_TRAP = 75,
    ART_CANVAS = 76,
    BATTLE_CAGE = 77,
    PET_TRAINER = 78,
    STEAM_ENGINE = 79,
    LOCKBOT = 80,
    WEATHER_SPECIAL = 81,
    SPIRIT_STORAGE = 82,
    DISPLAY_SHELF = 83,
    VIP_ENTRANCE = 84,
    CHALLENGE_TIMER = 85,
    CHALLENGE_FLAG = 86,
    FISH_MOUNT = 87,
    PORTRAIT = 88,
    WEATHER_SPECIAL2 = 89,
    FOSSIL = 90,
    FOSSIL_PREP = 91,
    DNA_MACHINE = 92,
    BLASTER = 93,
    VALHOWLA = 94,
    CHEMSYNTH = 95,
    CHEMTANK = 96,
    STORAGE = 97,
    OVEN = 98,
    SUPER_MUSIC = 99,
    GEIGER_CHARGER = 100,
    ADVENTURE_RESET = 101,
    TOMB_ROBBER = 102,
    FACTION = 103,
    RED_FACTION = 104,
    GREEN_FACTION = 105,
    BLUE_FACTION = 106,
    ANCES = 107,
    FISHGOTCHI_TANK = 109,
    FISHING_BLOCK = 110,
    ITEM_SUCKER = 111,
    ITEM_PLANTER = 112,
    ROBOT = 113,
    COMMAND = 114,
    TICKET = 115,
    STATS_BLOCK = 116,
    FIELD_NODE = 117,
    OUIJA_BOARD = 118,
    ARCHITECT_MACHINE = 119,
    STARSHIP = 120,
    AUTODELETE = 121,
    GREEN_FOUNTAIN = 122,
    AUTO_ACTION_BREAK = 123,
    AUTO_ACTION_HARVEST = 124,
    AUTO_ACTION_HARVEST_SUCK = 125,
    LIGHTNING_IF_ON = 126,
    PHASED_BLOCK = 127,
    MUD = 128,
    ROOT_CUTTING = 129,
    PASSWORD_STORAGE = 130,
    PHASED_BLOCK_2 = 131,
    BOMB = 132,
    WEATHER_INFINITY = 134,
    SLIME = 135,
    UNK1 = 136,
    COMPLETIONIST = 137,
    UNK3 = 138,
    FEEDING_BLOCK = 140,
    KRANKENS_BLOCK = 141,
    FRIENDS_ENTRANCE = 142
}
export declare enum TileExtraTypes {
    NONE = 0,
    DOOR = 1,
    SIGN = 2,
    LOCK = 3,
    SEED = 4,
    MAILBOX = 6,
    BULLETIN = 7,
    DICE = 8,
    PROVIDER = 9,
    ACHIEVEMENT = 10,
    HEART_MONITOR = 11,
    DONATION_BLOCK = 12,
    TOYBOX = 13,
    MANNEQUIN = 14,
    MAGIC_EGG = 15,
    GAME_RESOURCES = 16,
    GAME_GENERATOR = 17,
    XENONITE = 18,
    DESSUP = 19,
    CRYSTAL = 20,
    BURGLAR = 21,
    SPOTLIGHT = 22,
    DISPLAY_BLOCK = 23,
    VENDING_MACHINE = 24,
    FISHTANK = 25,
    SOLAR = 26,
    FORGE = 27,
    GIVING_TREE = 28,
    GIVING_TREE_STUMP = 29,
    STEAM_ORGAN = 30,
    TAMAGOTCHI = 31,
    SWING = 32,
    FLAG = 33,
    LOBSTER_TRAP = 34,
    ART_CANVAS = 35,
    BATTLE_CAGE = 36,
    PET_TRAINER = 37,
    STEAM_ENGINE = 38,
    LOCKBOT = 39,
    WEATHER_SPECIAL = 40,
    SPIRIT_STORAGE = 41,
    UNKNOWN_1 = 42,
    DISPLAY_SHELF = 43,
    VIP_ENTRANCE = 44,
    CHALLENGE_TIMER = 45,
    CHALLENGE_FLAG = 46,
    FISH_MOUNT = 47,
    PORTRAIT = 48,
    WEATHER_SPECIAL2 = 49,
    FOSSIL_PREP = 50,
    DNA_MACHINE = 51,
    MAGPLANT = 62,
    TESSERACT_MANIPULATOR = 69,
    GAIA_HEART = 70,
    TECHNO_ORGANIC_ENGINE = 71,
    KRANKEN_GALACTIC = 80,
    WEATHER_INFINITY = 77
}
